%define _dataset gliese3

Summary:	Stellar data set for use by the StarPlot tool
Name:		starplot-gliese3
Version:	0.95
Release:	2%{?dist}
License:	Redistributable, no modification permitted
Group:		Applications/Engineering
URL:		http://starplot.org/
Source0:	http://starplot.org/data/%{_dataset}-%{version}.tar.gz

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:	starplot >= %{version}
Requires(post):	starplot >= %{version}

BuildArch:	noarch

%description
Stellar data set for use by the StarPlot tool from the Third Catalogue of
Nearby Stars (preliminary edition), Gliese and Jahreiss, 1991. The data set
was obtained from the archives of the Astronomical Data Center (ADC) at NASA
Goddard Space Flight Center.

%prep
%setup -q -n %{_dataset}-%{version}

# Suppress rpmlint error.
iconv --from-code ISO8859-1 --to-code UTF-8 ./Changelog \
  --output Changelog.utf-8 && mv Changelog.utf-8 ./Changelog
iconv --from-code ISO8859-1 --to-code UTF-8 ./%{_dataset}.spec \
  --output %{_dataset}.utf-8 && mv %{_dataset}.utf-8 ./%{_dataset}.spec

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/starplot/%{_dataset}/orig-data

install -p -m644 %{_dataset}.spec \
  $RPM_BUILD_ROOT%{_datadir}/starplot/%{_dataset}
install -p -m644 orig-data/catalog.dat \
  $RPM_BUILD_ROOT%{_datadir}/starplot/%{_dataset}/orig-data
install -p -m644 orig-data/ReadMe \
  $RPM_BUILD_ROOT%{_datadir}/starplot/%{_dataset}/orig-data

touch $RPM_BUILD_ROOT%{_datadir}/starplot/%{_dataset}.stars

%clean
rm -rf $RPM_BUILD_ROOT

%post
starpkg --dataset %{_datadir}/starplot/%{_dataset} --dest %{_datadir}/starplot

%files
%defattr(-,root,root,-)
%doc Changelog
%doc COPYING
%doc README
%ghost %{_datadir}/starplot/%{_dataset}.stars

%dir %{_datadir}/starplot/%{_dataset}
%{_datadir}/starplot/%{_dataset}/%{_dataset}.spec
%{_datadir}/starplot/%{_dataset}/orig-data

%changelog
* Wed Dec 19 2007 Parag Nemade <paragn@fedoraproject.org> - 0.95-2
- Fixed installation error with --excludedocs.

* Sun Dec 16 2007 Debarshi Ray <rishi@fedoraproject.org> - 0.95-1
- Initial build.
